/**
 * @desc: vue global config
 * @author: wenkang_lin
 * @date: 2017/9/28 15:24
 */

import Toast from 'ui/c-toast';

const EventBus = new Vue();

Object.defineProperties(Vue.prototype, {
  $generalErrorHandler: {
    get: () => (res, msg) => {
      console.error(res);
      msg && console.warn(msg);
    }
  },
  $bus: {
    value: EventBus,
    writable: false,
    configurable: false
  },
  $toast: {
    value: Toast,
    writable: false,
    configurable: false
  }
});

Object.defineProperty(Vue, '$toast', {
  value: Toast,
  configurable: false,
  writable: false
});

Vue.config.errorHandler = function (err, vm, info) {
  console.error(err, vm, info);
};
Vue.config.performance = true;
Vue.config.behavior = true;
Vue.config.productionTip = false;
